com.fasterxml.jackson.databind

## Class PropertyNamingStrategy.PropertyNamingStrategyBase

- java.lang.Object
- - com.fasterxml.jackson.databind.PropertyNamingStrategy
  - - com.fasterxml.jackson.databind.PropertyNamingStrategy.PropertyNamingStrategyBase

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    PropertyNamingStrategy.KebabCaseStrategy, PropertyNamingStrategy.LowerCaseStrategy, PropertyNamingStrategy.SnakeCaseStrategy, PropertyNamingStrategy.UpperCamelCaseStrategy
  Enclosing class:
    PropertyNamingStrategy

      public abstract static class PropertyNamingStrategy.PropertyNamingStrategyBase
      extends PropertyNamingStrategy

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategy

      `PropertyNamingStrategy.KebabCaseStrategy, PropertyNamingStrategy.LowerCaseStrategy, PropertyNamingStrategy.LowerCaseWithUnderscoresStrategy, PropertyNamingStrategy.PascalCaseStrategy, PropertyNamingStrategy.PropertyNamingStrategyBase, PropertyNamingStrategy.SnakeCaseStrategy, PropertyNamingStrategy.UpperCamelCaseStrategy`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategy

      `CAMEL_CASE_TO_LOWER_CASE_WITH_UNDERSCORES, KEBAB_CASE, LOWER_CAMEL_CASE, LOWER_CASE, PASCAL_CASE_TO_CAMEL_CASE, SNAKE_CASE, UPPER_CAMEL_CASE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyNamingStrategyBase()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `nameForConstructorParameter(MapperConfig<?> config, AnnotatedParameter ctorParam, String defaultName)` Method called to find external name (name used in JSON) for given logical POJO property, as defined by given constructor parameter; typically called when building a deserializer (but not necessarily only then).
    `String` | `nameForField(MapperConfig<?> config, AnnotatedField field, String defaultName)` Method called to find external name (name used in JSON) for given logical POJO property, as defined by given field.
    `String` | `nameForGetterMethod(MapperConfig<?> config, AnnotatedMethod method, String defaultName)` Method called to find external name (name used in JSON) for given logical POJO property, as defined by given getter method; typically called when building a serializer.
    `String` | `nameForSetterMethod(MapperConfig<?> config, AnnotatedMethod method, String defaultName)` Method called to find external name (name used in JSON) for given logical POJO property, as defined by given setter method; typically called when building a deserializer (but not necessarily only then).
    `abstract String` | `translate(String propertyName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyNamingStrategyBase

          public PropertyNamingStrategyBase()

  - ### Method Detail

    - #### nameForField

          public String nameForField(MapperConfig<?> config,
                                     AnnotatedField field,
                                     String defaultName)

      Description copied from class: `PropertyNamingStrategy`
      Method called to find external name (name used in JSON) for given logical POJO property, as defined by given field.
      Overrides:
        `nameForField` in class `PropertyNamingStrategy`
      Parameters:
        `config` - Configuration in used: either `SerializationConfig` or `DeserializationConfig`, depending on whether method is called during serialization or deserialization
        `field` - Field used to access property
        `defaultName` - Default name that would be used for property in absence of custom strategy
      Returns:
        Logical name to use for property that the field represents

    - #### nameForGetterMethod

          public String nameForGetterMethod(MapperConfig<?> config,
                                            AnnotatedMethod method,
                                            String defaultName)

      Description copied from class: `PropertyNamingStrategy`
      Method called to find external name (name used in JSON) for given logical POJO property, as defined by given getter method; typically called when building a serializer. (but not always -- when using "getter-as-setter", may be called during deserialization)
      Overrides:
        `nameForGetterMethod` in class `PropertyNamingStrategy`
      Parameters:
        `config` - Configuration in used: either `SerializationConfig` or `DeserializationConfig`, depending on whether method is called during serialization or deserialization
        `method` - Method used to access property.
        `defaultName` - Default name that would be used for property in absence of custom strategy
      Returns:
        Logical name to use for property that the method represents

    - #### nameForSetterMethod

          public String nameForSetterMethod(MapperConfig<?> config,
                                            AnnotatedMethod method,
                                            String defaultName)

      Description copied from class: `PropertyNamingStrategy`
      Method called to find external name (name used in JSON) for given logical POJO property, as defined by given setter method; typically called when building a deserializer (but not necessarily only then).
      Overrides:
        `nameForSetterMethod` in class `PropertyNamingStrategy`
      Parameters:
        `config` - Configuration in used: either `SerializationConfig` or `DeserializationConfig`, depending on whether method is called during serialization or deserialization
        `method` - Method used to access property.
        `defaultName` - Default name that would be used for property in absence of custom strategy
      Returns:
        Logical name to use for property that the method represents

    - #### nameForConstructorParameter

          public String nameForConstructorParameter(MapperConfig<?> config,
                                                    AnnotatedParameter ctorParam,
                                                    String defaultName)

      Description copied from class: `PropertyNamingStrategy`
      Method called to find external name (name used in JSON) for given logical POJO property, as defined by given constructor parameter; typically called when building a deserializer (but not necessarily only then).
      Overrides:
        `nameForConstructorParameter` in class `PropertyNamingStrategy`
      Parameters:
        `config` - Configuration in used: either `SerializationConfig` or `DeserializationConfig`, depending on whether method is called during serialization or deserialization
        `ctorParam` - Constructor parameter used to pass property.
        `defaultName` - Default name that would be used for property in absence of custom strategy

    - #### translate

          public abstract String translate(String propertyName)

Copyright © 2008–2018 FasterXML. All rights reserved.